Package twisted :: Package internet :: Module interfaces :: Class IReactorUNIX |
[frames | no frames]

## Class IReactorUNIX

    Interface --+
                |
               IReactorUNIX

UNIX socket methods.

Method Summary
| ``connectUNIX`(self, address, factory, timeout)` Connect a client protocol to a UNIX socket.
| ``listenUNIX`(self, address, factory, backlog, mode)` Listen on a UNIX socket.

Method Details

### connectUNIX(self, address, factory, timeout=30) Connect a client protocol to a UNIX socket. Parameters: `address` - a path to a unix socket on the filesystem. `factory` - a `twisted.internet.protocol.ClientFactory` instance `timeout` - number of seconds to wait before assuming the connection has failed. Returns: an `IConnector`.

### listenUNIX(self, address, factory, backlog=5, mode=438) Listen on a UNIX socket. Parameters: `address` - a path to a unix socket on the filesystem. `factory` - a `twisted.internet.protocol.Factory` instance. `backlog` - number of connections to allow in backlog. `mode` - mode to set on the unix socket.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net